package com.ruoyi.system.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.TGoods;
import org.apache.ibatis.annotations.Param;

/**
 * 物品Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-20
 */
public interface TGoodsMapper 
{
    /**
     * 查询物品
     * 
     * @param id 物品主键
     * @return 物品
     */
    public TGoods selectTGoodsById(Long id);

    /**
     * 查询物品列表
     * 
     * @param tGoods 物品
     * @return 物品集合
     */
    public List<TGoods> selectTGoodsList(TGoods tGoods);

    /**
     * 新增物品
     * 
     * @param tGoods 物品
     * @return 结果
     */
    public int insertTGoods(TGoods tGoods);

    /**
     * 修改物品
     * 
     * @param tGoods 物品
     * @return 结果
     */
    public int updateTGoods(TGoods tGoods);

    /**
     * 删除物品
     * 
     * @param id 物品主键
     * @return 结果
     */
    public int deleteTGoodsById(Long id);

    /**
     * 批量删除物品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTGoodsByIds(Long[] ids);

    List<Map<String, Object>> getKuFangList(@Param("userId") Long userId, @Param("roleId") Long roleId);

    Long getRoleIdByUser(Long userId);
}
